<?php
/*------------------------------------------------------------------------
# "Hot Real Estate" Joomla template - May, 2010
# Copyright (C) 2010 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
defined( '_JEXEC' ) or die( 'Restricted access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
$template_path = $this->baseurl.'/templates/'.$this->template;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />

<?php	// module states

		$showadvert[1] = $this->countModules('advert1');
		$showadvert[2] = $this->countModules('advert2');
		$showadvert[3] = $this->countModules('advert3');
		$showadvert[4] = $this->countModules('advert4');
		$showuser[5] = $this->countModules('user5');
		$showuser[6] = $this->countModules('user6');
		$showuser[7] = $this->countModules('user7');
		$showuser[8] = $this->countModules('user8');
		$showuser4 = $this->countModules('user4');
		$showuser9 = $this->countModules('user9');
		$showfooter[1] = $this->countModules('footer1');
		$showfooter[2] = $this->countModules('footer2');
		$showfooter[3] = $this->countModules('footer3');
		$showfooter[4] = $this->countModules('footer4');
		$showleft = $this->countModules('left');
		$showright = $this->countModules('right');
		$showuser1 = $this->countModules('user1');
		$showuser2 = $this->countModules('user2');
		$showuser3 = $this->countModules('user3');
		$showbreadcrumbs = $this->countModules('breadcrumbs');
		$showcarousel = $this->countModules('carousel');
		
		$uppermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showadvert[$loop]) { $uppermodules++; }
		}
		
		$bottommodules = 0;
		for ($loop = 5; $loop <= 8; $loop += 1) {
			if($showuser[$loop]) { $bottommodules++; }
		}
		
		$footermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showfooter[$loop]) { $footermodules++; }
		}
?>

<?php	// template parameters

		// template layout
		$templateWidth = $this->params->get("templateWidth", "980");
		$textDirection = $this->params->get("textDirection", "ltr");
		$copyright = $this->params->get("copyright", "Your Company");
		$columnLeftWidth = 0; $columnRightWidth = 0;
		if ($showleft) {
			$columnLeftWidth = $this->params->get("columnLeftWidth", "300"); 
		}else{
			$columnLeftWidth = 0;
		}
		if ($showright) {
			$columnRightWidth = $this->params->get("columnRightWidth", "190");
		}else{
			$columnRightWidth = 0;
		}
		$contentWidth = $templateWidth - $columnLeftWidth - $columnRightWidth;
		$overallWidth = $templateWidth;
		$carouselWidth = $this->params->get("carouselWidth", "990");
		
		// add-ons
		$imageReflectionLoad = $this->params->get("imageReflectionLoad", "1");
		$fontResizeLoad = $this->params->get("fontResizeLoad", "1");
		
		// template style
		
			// check if in parameters
			$templateStyle = $this->params->get("templateStyle", "1");
			
			// check if it cookie
			if(isset($_COOKIE['Style']))
			{
			$templateStyle = $_COOKIE['Style'];
			}
			
			$templateStyleTest = "";
			
			// check if in link
			if (isset($_GET['style'])) {
				$templateStyleTest = $_GET['style'];
			}
			
			if ($templateStyleTest) { 
				$templateStyle = $templateStyleTest;
				$Month = 2592000 + time(); 
				setcookie("Style", $templateStyle, $Month);
			}
		
		if($templateStyle) {
			
		require(YOURBASEPATH."/styles/style".$templateStyle.".php");
			
		}else{
		
		$primaryColor = $this->params->get("primaryColor", "#f9a504");
		$secondaryColor = $this->params->get("secondaryColor", "#263B51");
		$backgroundColor = $this->params->get("backgroundColor", "#ffffff");
		$bodyText = $this->params->get("bodyText", "#c9c9c9");
		$linksColor = $this->params->get("linksColor", "#317f95");
		$carouselBg = $this->params->get("carouselBg", "style1");
		$carouselText = $this->params->get("carouselText", "#333333");
		$rightColumnBg = $this->params->get("rightColumnBg", "#f0f0f0");
		$footerWrapBg = $this->params->get("footerWrapBg", "#222222");
		$topMenuBg = $this->params->get("topMenuBg", "#000000");
		$menuAnimationEffect = $this->params->get("menuEffect", "fadeIn(700)");	
		$topMenuText = $this->params->get("topMenuText", "#ffffff");
		$topMenuHoverText = $this->params->get("topMenuHoverText", "#222222");
		$topMenuSubBgHover = $this->params->get("topMenuSubBgHover", "#115164");
		$topMenuSubText = $this->params->get("topMenuSubText", "#ffffff");
		$topMenuSubTextHover = $this->params->get("topMenuSubTextHover", "#ffffff");	
		$breadcrumbsText = $this->params->get("breadcrumbsText", "#ffffff");
		$componentHeadingText = $this->params->get("componentHeadingText", "#ffffff");
		$headingText = $this->params->get("headingText", "#ffffff");
		$headingHoverText = $this->params->get("headingHoverText", "#e4e37c");
		$columnFirstWord = $this->params->get("columnFirstWord", "#444444");
		$columnHeading = $this->params->get("columnHeading", "#444444");
		$columnText = $this->params->get("columnText", "#444444");
		$buttonsBg = $this->params->get("buttonsBg", "#1b5a94");
		$buttonsText = $this->params->get("buttonsText", "#ffffff");
		$footerText = $this->params->get("footerText", "#ffffff");
		$footerLink = $this->params->get("footerLink", "#ceebf7");
		$footerLinkHover = $this->params->get("footerLinkHover", "#ffffff");
		
		}	
?>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_realestate/css/joomla.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_realestate/css/template_css.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_realestate/css/layout.css" type="text/css" />
<?php if ($textDirection=="rtl") { ?>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_realestate/css/rtl.css" type="text/css" />	
<?php } ?>
<style type="text/css">
<!--
<?php require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/css/template_css.php'); ?>
-->
</style>
<!--[if lt IE 9]>
<style type="text/css">
<?php require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/css/template_css_ie78.php'); ?>
</style>
<![endif]-->

<?php
/* The following line loads the MooTools JavaScript Library */
JHtml::_('behavior.framework', true); ?>

<!-- top menu -->
<script type="text/javascript">
function mainmenu(){
jQuery(" #nav ul ").css({display: "none"}); // Opera Fix
jQuery(" #nav li ").hover(function(){
		jQuery(this).find('ul:first').css({visibility: "visible",display: "none"}).<?php echo $menuAnimationEffect; ?>;
		},function(){jQuery(this).find('ul:first').css({visibility: "hidden"});	});}
jQuery(document).ready(function(){ mainmenu();});
</script>

<?php if($imageReflectionLoad) { ?>
<!-- reflection -->
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/hot_realestate/js/reflection.js"></script>
<?php } ?>

<?php if($fontResizeLoad) { ?>
<!-- font resizer -->
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/hot_realestate/js/fontResize.js"></script>
<?php } ?>
</head>
<body>
<?php if ($showuser3) { ?>
<div id="topmenu">
    <div id="logo"><a href="index.php"><img src="<?php echo $this->baseurl ?>/templates/hot_realestate/images/logo.png" width="224" height="70" alt="hot software" /></a></div>
    <div id="topmenu_pad">
        <jdoc:include type="modules" name="user3" style="none" />
    </div>
</div>
<?php } ?>
<?php if ($showuser9 || $showuser4) { ?>
<div id="topmenu_nav_wrap">
    <div id="topmenu_nav">
        <jdoc:include type="modules" name="user9" style="none" />
        <div id="search_module">
        	<jdoc:include type="modules" name="user4" style="none" />
    	</div>
    </div>
</div>
<?php } ?>
<?php if ($showcarousel) { ?>
<div id="carousel_wrap">
	<div class="carousel_module">
		<jdoc:include type="modules" name="carousel" style="none" />
    </div>
</div>
<?php }else{ ?>
<div id="path_wrap">
<div class="path">
    <div class="path_pad">
        <jdoc:include type="modules" name="breadcrumbs" style="none" />
    </div>
</div>
</div>
<?php } ?>
<div id="content_gradient">
    <div id="wrapper">
        <?php if ($uppermodules) { ?>
        <div class="upper">
            <?php if($showadvert[1]) { ?>
            <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert1" style="xhtml" /></div>
            <?php } if($showadvert[2]) { ?>
            <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert2" style="xhtml" /></div>
            <?php } if($showadvert[3]) { ?>
            <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert3" style="xhtml" /></div>
            <?php } if($showadvert[4]) { ?>
            <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert4" style="xhtml" /></div>
            <?php } ?>
            <div class="clr"></div>
        </div>
        <?php } ?>
        <div class="main_area">
            <?php if ($showleft) { ?>
            <div class="column_left">
            	<div class="column_left_pad">
                	<jdoc:include type="modules" name="left" style="hot" />
                </div>
            </div>
            <?php } ?>
            <div class="content_wrap_top">
                <div class="content_wrap">
                    <div class="content_pad">
                        <?php if ($showuser1) { ?>
                        <div class="module_inset">
                            <jdoc:include type="modules" name="user1" style="hot" />
                        </div>
                        <?php } ?>
                            <jdoc:include type="message" />
                            <jdoc:include type="component" />
                        <?php if ($showuser2) { ?>
                        <div class="module_toolbar">
                            <jdoc:include type="modules" name="user2" style="hot" />
                        </div>
                        <?php } ?>
                    </div>
                </div><div class="clr"></div>
            </div>
            
            <?php if ($showright) { ?>
            <div class="column_right">
            	<div class="column_right_pad">
                	<jdoc:include type="modules" name="right" style="hot" />
                </div>
            </div>
            <?php } ?>
            <div class="clr"></div>
        </div>
        <?php if ($bottommodules) { ?>
        <div class="bottom">
            <?php if($showuser[5]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user5" style="xhtml" /></div>
            <?php } if($showuser[6]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user6" style="xhtml" /></div>
            <?php } if($showuser[7]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user7" style="xhtml" /></div>
            <?php } if($showuser[8]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user8" style="xhtml" /></div>
            <?php } ?>
            <div class="clr"></div>
        </div>
        <?php } ?>
    </div>
</div>
<div class="footer_wrap">
	<div class="footer_content">
    	<?php if ($footermodules) { ?>
        <div class="footer_modules">
            <?php if($showfooter[1]) { ?>
            <div class="modulerow<?php echo $footermodules; ?>"><jdoc:include type="modules" name="footer1" style="xhtml" /></div>
            <?php } if($showfooter[2]) { ?>
            <div class="modulerow<?php echo $footermodules; ?>"><jdoc:include type="modules" name="footer2" style="xhtml" /></div>
            <?php } if($showfooter[3]) { ?>
            <div class="modulerow<?php echo $footermodules; ?>"><jdoc:include type="modules" name="footer3" style="xhtml" /></div>
            <?php } if($showfooter[4]) { ?>
            <div class="modulerow<?php echo $footermodules; ?>"><jdoc:include type="modules" name="footer4" style="xhtml" /></div>
            <?php } ?>
            <div class="clr"></div>
        </div>
        <?php } ?>
    </div>
</div>
<div class="footer_wrap_copyright">
    <div class="footer_wrap_copyright_content">
        <div class="footer">
            <div class="footer_pad">
                <jdoc:include type="modules" name="footer" />
                <?php if($fontResizeLoad) { ?>
                <div id="font_resize">
                    <a href="#" class="decreaseFont" title="Font Decrease">
                        A-
                    </a> |
                    <a href="#" class="resetFont" title="Font Reset">
                        Reset
                    </a> |
                    <a href="#" class="increaseFont" title="Font Increase">
                        A+
                    </a>
                </div>
                <?php } ?>
            </div>
        </div>
        <div class="footer2">
            <div class="footer_pad">
                <jdoc:include type="modules" name="bottom" style="none" />
                <p class="copyright">Copyright &copy; <?php echo date("Y ").$copyright; ?>. Template by Hot Joomla Templates.</p>
            </div>
        </div><div class="clr"></div>
    </div>
</div>
<div style="clear:both"></div>
<jdoc:include type="modules" name="debug" style="none" />    
</body>
</html>