body  {
	color:<?php echo $bodyText; ?>;
    background:<?php echo $backgroundColor; ?>;
}

#wrapper {
	width:<?php echo $overallWidth; ?>px;
}

#topmenu,#topmenu_nav,.path,.upper,.bottom,.main_area,.footer_content,.footer_wrap_copyright_content {
	width:<?php echo $templateWidth; ?>px;
}

#topmenu_nav_wrap {
	height:40px;
	background:<?php echo $secondaryColor; ?>;
}

.content_wrap {
	width:<?php echo $contentWidth; ?>px;
}

.column_left {
	width:<?php echo $columnLeftWidth; ?>px;
}

.column_right {
	width:<?php echo $columnRightWidth; ?>px;
}

.pathway, a.pathway:link, a.pathway:visited, a.pathway:hover {
	color:<?php echo $breadcrumbsText; ?>;
}

.componentheading, h1 {
	color:<?php echo $componentHeadingText; ?>;
}

.contentheading, h2, h3, h4, .contentheading a.contentpagetitle {
	color:<?php echo $headingText; ?>;
}

a.contentpagetitle:hover h2 {
	color:<?php echo $headingHoverText; ?>;
}

.column_right div.moduletable,.column_right div.moduletable_menu,.column_right div.moduletable_text,
.column_left div.moduletable,.column_left div.moduletable_menu,.column_left div.moduletable_text {
    color:<?php echo $columnText; ?>;
}

div.moduletable h3 span {
	color:<?php echo $columnFirstWord; ?>;
}

div.moduletable h3, div.moduletable_menu h3, div.moduletable_text h3 {
	color:<?php echo $columnHeading; ?>;
    background:<?php echo $secondaryColor; ?>;
}

.upper div.moduletable h3, .bottom div.moduletable h3 {
	color:<?php echo $secondaryColor; ?>;
}

#topmenu ul.menu li:hover, #topmenu ul.menu li#current, #topmenu ul.menu li:hover a:link, #topmenu ul.menu li:hover a:visited {
	background:<?php echo $primaryColor; ?>;
	color:#fff;
}

#nav ul {
	border:3px solid <?php echo $secondaryColor; ?>;
    border-top:none;
}

#nav li:hover a {
    color:<?php echo $topMenuHoverText; ?>;
}

#nav li a {
    color:<?php echo $topMenuText; ?>;
}

#nav li:hover ul li a {
	
	color:<?php echo $topMenuSubText; ?>;
}

#nav li:hover ul li a:hover {
	background:<?php echo $topMenuSubBgHover; ?>;
	color:<?php echo $topMenuSubTextHover; ?>;
}

a:link,a:visited {
	color:<?php echo $linksColor; ?>;
}

.column_right li.active a:link,.column_right li.active a:visited,.column_left li.active a:link,.column_left li.active a:visited {
	color:<?php echo $linksColor; ?> !important;
}

#carousel_wrap, #path_wrap {
	background:<?php echo $primaryColor; ?> <?php if($carouselBg) { ?>url(<?php echo $template_path; ?>/images/carousel_gradient<?php echo $carouselBg; ?>.png) no-repeat top center<?php } ?>;
}

#carousel_wrap, #carousel_wrap td, #carousel_wrap div, #carousel_wrap p {
	color:<?php echo $carouselText; ?>;
}

#carousel_wrap .readon, .property_text .readon, .hotbutton, .button, button {
	background:<?php echo $buttonsBg; ?> url(<?php echo $template_path; ?>/images/readon_bg.png) repeat-x;
    border:1px solid <?php echo $buttonsBg; ?>;
    color:<?php echo $buttonsText; ?>;
}

.footer_wrap {
	background:<?php echo $footerWrapBg; ?>;
}

.carousel_module {
	width:<?php echo $carouselWidth; ?>px;
}

.footer_content div.moduletable, .footer_content div.moduletable h3 {
	color:<?php echo $footerText; ?>;
}

.footer_modules a:link,.footer_modules a:visited {
		color:<?php echo $footerLink; ?>;
		font-weight:normal;
}

.footer_modules a:hover {
		color:<?php echo $footerLinkHover; ?>;
}